Bug 167639 - mail/mutt-devel: does not start when compiled with GSSAPI
Summary: mail/mutt-devel: does not start when compiled with GSSAPI
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-06 12:40 UTC by Matthias Andree
Modified: 2012-06-18 20:37 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2012-05-06 12:40:08 UTC
(port maintainer is CC'd)

When mutt-devel is compiled with GSSAPI support enabled on my amd64
FreeBSD 9-STABLE computer, I get this fatal run-time error when starting
mutt:

Undefined symbol "gss_nt_service_name" referenced from COPY relocation
in /usr/local/bin/mutt

Related posts suggest that I'm not the sole user having this problem; I
recall that things were fine in FreeBSD 8.

Reference to other problem (with a workaround that disables GSSAPI and
is therefore not a real option):
http://permalink.gmane.org/gmane.os.freebsd.devel.ports/99376

Desired result: mutt should continue to support GSSAPI and start up properly.

How-To-Repeat: Compile and install mutt with these OPTIONS (note there is no OPTION
to turn off GSSAPI):

     MUTT_ASPELL=on "Enable aspell support"
     MUTT_COMPRESSED_FOLDERS=on "Enable compressed folders"
     MUTT_CYRUS_SASL2=on "Enable SASL2 authentication"
     MUTT_DEBUG=off "Enable debugging capabilities"
     MUTT_FLOCK=off "Enable flock() usage"
     MUTT_GPGME=off "Enable gpgme interface"
     MUTT_GREETING_PATCH=off "Enable greeting"
     MUTT_HTML=on "Enable HTML documentation"
     MUTT_ICONV=on "Enable iconv support"
     MUTT_IDN=on "Enable idn support"
     MUTT_IFDEF_PATCH=off "Enable ifdef feature"
     MUTT_IMAP_HEADER_CACHE=on "Enable imap header cache"
     MUTT_ISPELL=off "Enable ispell support"
     MUTT_LOCALES_FIX=off "Enable locales fix"
     MUTT_MAILBOX_MANPAGES=on "Install mbox.5/mmdf.5 manpages"
     MUTT_MAILDIR_HEADER_CACHE=on "Enable maildir header cache"
     MUTT_MAILDIR_MTIME_PATCH=off "Enable Maildir mtime patch"
     MUTT_MBOX_HOOK_PATCH=off "Enable enhanced mbox-hook"
     MUTT_NCURSES=on "Enable ncurses support"
     MUTT_NCURSES_PORT=off "Use ncurses from port"
     MUTT_NNTP=off "Enable news reader"
     MUTT_PARENT_CHILD_MATCH_PATCH=off "Enable parent/child match"
     MUTT_QUOTE_PATCH=on "Enable extended quoting"
     MUTT_REVERSE_REPLY_PATCH=off "Enable reverse_reply"
     MUTT_SGMLFORMAT=on "Enable sgml support"
     MUTT_SIDEBAR_PATCH=on "Enable sidebar"
     MUTT_SIGNATURE_MENU=off "Enable signature menu"
     MUTT_SLANG=off "Enable slang support"
     MUTT_SMIME_OUTLOOK_COMPAT=on "SMIME outlook compatible"
     MUTT_SMTP=off "Enable SMTP relay support"
     MUTT_TRASH_PATCH=off "Enable trash folder support"
     MUTT_XML=on "Use XML tools for docu"
Comment 1 Edwin Groothuis freebsd_committer 2012-05-06 12:40:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-06 12:40:26 UTC
Maintainer of mail/mutt-devel,

Please note that PR ports/167639 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167639

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-06 12:40:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Udo.Schweigert 2012-05-06 18:38:03 UTC
This is not reproducable on a 9.0-RELEASE amd64 machine. I do not have a
9-STABLE machine to test that.

Udo

On Sun, May 06, 2012 at 13:40:26 +0200, Edwin Groothuis wrote:
> Maintainer of mail/mutt-devel,
> 
> Please note that PR ports/167639 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167639
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 5 Udo.Schweigert 2012-05-13 13:19:16 UTC
I double checked on 9.0-RELEASE amd64 with an updated ports tree and it was not
reproducable. Very likely this is a local problem. From my point of view this
PR can be closed.

Udo

On Sun, May 06, 2012 at 19:38:03 +0200, Udo Schweigert wrote:
> This is not reproducable on a 9.0-RELEASE amd64 machine. I do not have a
> 9-STABLE machine to test that.
> 
> Udo
> 
> On Sun, May 06, 2012 at 13:40:26 +0200, Edwin Groothuis wrote:
> > Maintainer of mail/mutt-devel,
> > 
> > Please note that PR ports/167639 has just been submitted.
> > 
> > If it contains a patch for an upgrade, an enhancement or a bug fix
> > you agree on, reply to this email stating that you approve the patch
> > and a committer will take care of it.
> > 
> > The full text of the PR can be found at:
> >     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167639
> > 
> > -- 
> > Edwin Groothuis via the GNATS Auto Assign Tool
> > edwin@FreeBSD.org
>
Comment 6 Matthias Andree freebsd_committer 2012-05-13 14:22:22 UTC
State Changed
From-To: feedback->suspended

Maintainer cannot reproduce this, suspending until I - or someone else - 
can provide further information.
Comment 7 Matthias Andree freebsd_committer 2012-05-15 07:25:55 UTC
This is a multi-part message in MIME format.
Comment 8 Matthias Andree freebsd_committer 2012-05-15 07:26:37 UTC
State Changed
From-To: suspended->feedback

further information added, waiting for feedback from Udo Schweigert 
and/or Cy Schubert
Comment 9 Cy Schubert 2012-05-15 23:28:23 UTC
Thanks. I'll take a look at it.


-- 
Cheers,
Cy Schubert <Cy.Schubert@komquats.com>
FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org


In message <4FB1F6F3.1090204@FreeBSD.org>, Matthias Andree writes:
> This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
> --------------enigE27FDE1E3ADFFB22ADB9B13E
> Content-Type: multipart/mixed;
>  boundary="------------010407010603080606050206"
> 
> This is a multi-part message in MIME format.
> --------------010407010603080606050206
> Content-Type: text/plain; charset=ISO-8859-15
> Content-Transfer-Encoding: quoted-printable
> 
> Cy,
> 
> I am including you as maintainer of security/krb5 that mail/mutt-devel
> can link against, but when it does that, it gets a non-functional
> executable.  Details of the failure in <http://bugs.freebsd.org/167639>,
> details of the inconsistent linkage below in this mail.
> 
> Any chance this can be remedied with different krb5-config output?
> 
> 
> Udo,
> 
> Apparently the K5 libraries are inconsistently mixed (rpath and/or
> krb5-config issue), as revealed by ldd.
> 
> Note that libk5crypto.so is from $LOCALBASE (krb5-1.9.2_2 from
> security/krb5 - required for putty) whereas the other KRB5/GSS stuff is
> from the base system:
> 
> [mandree@apollo /usr/ports/mail/mutt-devel]$ ldd
> /var/tmp/usr/ports/mail/mutt-devel/work/mutt-1.5.21/mutt
> /var/tmp/usr/ports/mail/mutt-devel/work/mutt-1.5.21/mutt:
> 	libncursesw.so.8 =3D> /lib/libncursesw.so.8 (0x8008cf000)
> 	libgssapi_krb5.so =3D> /usr/lib/libgssapi_krb5.so (0x800b2a000)
> 	libkrb5.so =3D> /usr/lib/libkrb5.so (0x800d44000)
> 	libk5crypto.so =3D> /usr/local/lib/libk5crypto.so (0x800fb3000)
> 	libcom_err.so =3D> /usr/lib/libcom_err.so (0x8011dd000)
> 	libssl.so.6 =3D> /usr/lib/libssl.so.6 (0x8013df000)
> 	libcrypto.so.6 =3D> /lib/libcrypto.so.6 (0x801632000)
> 	libz.so.6 =3D> /lib/libz.so.6 (0x8019d2000)
> 	libsasl2.so.2 =3D> /usr/local/lib/libsasl2.so.2 (0x801be8000)
> 	libintl.so.9 =3D> /usr/local/lib/libintl.so.9 (0x801e03000)
> 	libiconv.so.3 =3D> /usr/local/lib/libiconv.so.3 (0x80200c000)
> 	libidn.so.17 =3D> /usr/local/lib/libidn.so.17 (0x802308000)
> 	libdb-5.2.so.0 =3D> /usr/local/lib/libdb-5.2.so.0 (0x80253a000)
> 	libc.so.7 =3D> /lib/libc.so.7 (0x8028d7000)
> 	libgssapi.so.10 =3D> /usr/lib/libgssapi.so.10 (0x802c1d000)
> 	libhx509.so.10 =3D> /usr/lib/libhx509.so.10 (0x802e26000)
> 	libroken.so.10 =3D> /usr/lib/libroken.so.10 (0x803066000)
> 	libasn1.so.10 =3D> /usr/lib/libasn1.so.10 (0x803277000)
> 	libcrypt.so.5 =3D> /lib/libcrypt.so.5 (0x8034f9000)
> 	libkrb5support.so =3D> /usr/local/lib/libkrb5support.so (0x803719000)
> 	libthr.so.3 =3D> /lib/libthr.so.3 (0x803921000)
> 
> Relevant output from configuration scripts is:
> 
> $ /usr/bin/krb5-config --libs
> -L/usr/lib -lkrb5 -lhx509 -lcom_err -lcrypto -lasn1 -lroken -lcrypt
> 
> $ /usr/local/bin/krb5-config --libs
> -L/usr/local/lib -Wl,-rpath -Wl,/usr/local/lib
> -rpath=3D/usr/lib:/usr/local/lib -lkrb5 -lk5crypto -lcom_err
> 
> And this is what the Makefile has picked up:
> 
> $ grep krb5* /var/tmp/usr/ports/mail/mutt-devel/work/mutt-1.5.21/Makefile=
> 
> KRB5CFGPATH =3D /usr/local/bin/krb5-config
> MUTTLIBS =3D  -lncursesw  -lncursesw -L/usr/local/lib -Wl,-rpath
> -Wl,/usr/local/lib -O2 -pipe -Wl,-rpath,/usr/lib:/usr/local/lib
> -fno-strict-aliasing -rpath=3D/usr/lib:/usr/local/lib -lgssapi_krb5 -lkrb=
> 5
> -lk5crypto -lcom_err -lssl -lcrypto -lz -lsasl2
> 
> config.log is attached, xz compressed.
> 
> 
> Thanks for any insights.
> 
> Best regards
> Matthias
> 
> --------------010407010603080606050206
> Content-Type: application/x-xz;
>  name="config.log.xz"
> Content-Transfer-Encoding: base64
> Content-Disposition: attachment;
>  filename="config.log.xz"
> 
> /Td6WFoAAATm1rRGAgAhARwAAAAQz1jM42iANmhdACoaCSdkGbA4c8qKu5UCwX/3KPmuMHED
> 9OP4gAV+JANu2aAJdCWDIJQYqdJ7YAax209uMvw4oZh1Njl3MN9OGcKwZKrKyQSKudyY7Zbd
> dXrDqCf3+4Q5JTpAGeuEYnH6wGmskqJoqsQ/CJ0jsEG2OARlvU/3rxh+cIwswX68+oVw2PGX
> EQWa4t5iIfE199723O/cFil+915zYAPCwy/5NwvHcTOkjZBdvCsZ+eV6Gd4YCQ880AaLTYED
> xnlkqxLxLIdUYDu/WPfKQ5L14zuxSa7aPaSAeBfylqXtBjcMONLgqy6BZU+56KKjZSMGSIuD
> sMQ/5DkY6T//4QCIHOmNRps8d3CB5Ux9SST9FWZOis5NQ3V+P19JbBeCyrdsIxRrf6I/xG5H
> Me0Y0JXV2+XHS1kPq9AHop37BpOVfiHY5Le3W7IemjaxYxuIvrf/UN7MOK4Gnh9l0m3qXSfj
> 9xZs82csv4QxZz1R+3357kHbRQoH3XWHvZfViQV/3zaPkDIWP6AJYol2895AkQzIuJMPjqQh
> /sEp3aWl2wydjS6zRPwnR0U9EpBoHx0XyncZhij+JYsx9cbUasdv8eS/R4ojIfOfIxvxISrH
> AvbeFnHeA2HRCKtLlJGCFlC2ikLSaK9pQSbs0yfViC6lLR+PwxT18lHTmKxWao+SlFqEP938
> cxPj9zJ4nCFcm5FwqNa7Vc6OYTffO88HXm6g2a7EylB5Qr5mVLPD/oQN57cQuoAi10TKhnYA
> QnM7PI49jHpyipvYfmmcnOaW5bCg70ifR0RVIJh+VxLt4sfHu4Ipu0F3IlgT4SFGEwAt6CEx
> TO7NMpiKShAJlIPWbqOqFWsii8jh57nP0qBPqPLtrwMkAvkKrTZ4Qv621U2wMkyEO3TZHnl0
> EnL0WzikSoF2AGGnkk/IUtCI5MI7VekVTPqSujBuwAK0ANf68siT3bXlNrEp5vjE9xZm1NxM
> rRociKjWSqZa/nFOYCTxBNaGnOvJLFiDJgFwFK7AeCSTCTtu2CQakGtqaMFpcG+WiM/EJHEP
> uMpXJPWOLRv5qdVS6YX03m3gflsaWQdIYp2FPI99qa7FyoZrQgFgvCPmxXIiIFeGHGRz7r8N
> m9murRb8OsVOuocFJHrBc+x6WJrB7lVUKjvmlggVs+gkdPOarmcP9BDn7/izBvyb+PowiJc/
> JwTBhf6HGgW8tyfkPM+MEeJecI5HrzdMH6rHRX01tENTFmqI/exsW5BBinG2UProVPwa7/fi
> T31hL1+jsW3Cr7tS+QsNi+0V31xIAiVT8qBDmtILZeA29Et+vnXLzs/tAiUK5p50pEUu0Ov3
> CV8ty1fWr/l04I111EKQFMtjG5En7n8ScsrBoiWWWn2xmQBLcZMkNhE052DjspfE2r0yVnla
> WPp5koMZWYkPytSb3dwk/azItj2jE8YU8qSAU9yc183V4ckBw1cofu3IgXVxfUZM4zYGNStw
> EPYcjPptb21AGQnncKVetOyklJ5Tr3OjtpOpwQPbmDKBRqAZHY2T+kuowdmXt9b7RvagA5Mj
> Cn54q2CWYLNDayknYOSNsw+omdYes7ESM56kZ5ln5BPNrcsI5sLkQiVCVGgtAL+CEpGBouvU
> Sf+9LsrJr9WEDStcoo3SqtnNk5aYzfQr1sdjUVB/VqvQk6YbGGaesBrU12SQODPIQvUzJan7
> 3m/inUw/EZUnOK0UE04mp5lxpagO8p9NERZdxdHLIKT/6AL+WCkAfRu1+CWXI8UhYA/X8aD4
> XqITBpmpxqfpYGylnKicCpLTMFrVkr5iRZJIIOi6IWmyhCwp3NFErLLOXuEJ036SttjIZZvG
> Qk/yik+m4uEgrwi4LHDZUNLU5RoDXI1ZAu1rzLE4zn5nFlH0BUizA+qY0EUEqRhleUUACj9Y
> ut56NXF5eFmw0iIAh2sAZp8M32kPAZU5CuVBNJp3WpLaSCi5BLDWk+QlhNMG40CgnXFZqYo0
> 2iZ27nO7Y737ekKZjKts0gIsnETxg4nTzm6uwp+rPnU3NNOZIMZDhZBruZebhdvG/BwcCZA9
> UyXf0sH0Z7oLHsm2ukZb0Poccl7A0p1OX9YCzYK+AOWIwAZliRfCIUJHXZZGd4qazJLwbgv0
> 3XVJit7H3kzNj0ut844j1JAoDtiPnQt1wGcGKxILoIi2P/bzNXQva6lrtY2q81/pGJ8zzOTu
> lSB6R3NtICux+s2wKtiOGIan8UBX+xHSgzHt7/Afbvva9l7CF8xgGFUGQ1O8qt3WIgj1/EmU
> 8Y4aFOKBzBUjvzNPhpnm4P4TPadUj2DgHXAhhcH50l1SK1ADarGq7z3IVQLUoSY0BSY5Z15e
> MMa4cRr7x0VuXZnBPjSbOXkm27CtWd1o/IfYSkj/RfPj6O6atamODAJFCvA2YQZDWWXAnJjA
> Mj6LvdMc4FlW1EuOE8Fs+Yv+XWJw8pd7jVeW0Ek3S3c1Cz19hOAOHDUe/T8Bsw8Q1HnSJCMl
> VA/0hakXRxeAgi/MpoiwJdA5OiHT+I67OdViraap7zanvqZa2xOYRVrsQu6vDUaF8KE2g72+
> aFvuD1totSkDyRaj360UbOdfqoXy5FsOel0hvt3YUUdJVHlgtCt53ZQvpxa85cKNIBbFetYK
> fIgAq8K35Mx/JwKBid+WDtda7ZNKuEfbbDIFs7LORchGL6YnDskwbB3PSiEHvwKihyrAOxmP
> qtqkMnCPqYSGXnbacWOvezt3Rb9B6ymnvXUZNhbiKX76sLF6DFDQIncg/BNI1pBEOKmcC3nZ
> Qi3lzgGek3AQuL939qcIYxhwUCu/9nVV6nR+IP960oT02x5hXpxjTBLsokyBSsMyTPsYhLQr
> m7ra1p9gty1CnkN8OQuf6XfxrTsMCZlnFhx0aP+b4xF6OMWmUccgYcKJdr8SguirsOsdXdlk
> Kxg1gzTWH53Rv2oO0ADxbykqm+qewyk3eo3+lcvvl/n26HBQBljyFKfG5+L7FKSCEcpMxPJf
> dCbUQ9jh5aJ1hT5xUrdFWEEJdEhdrdrAyEnjuQY880XyBbnTfQHSDnd+USctiULFKNv9fAbT
> j8TjTWogRFF3QonRlrAKEptzMbv+r/z3TH3Ro5cdX+F6kmBM30vXp7WZ1qZq6fcgI/xGABqO
> vugTGE2aDfRQxd5I8W7/umjtGsXaYoBJ8C2YPvQVZptYzG90paFmP7tA1APttdZ+eR2rL7m6
> rw0t+x0Tpb9waDFF+RypDGxvze72I4G+d/pg2lu22poUkPVRc1q2N4bdUnBxdUv1jf08R5L0
> danqKHqDGaipLiOmO7VZpOBX3Kkei07TQiQ8P/b8xDHv6X4tlUegi42ctNiNSU1K+8Di8gUR
> cucAQgm0Dzx18mndretHxXaGeAAYNydcWidDtGEkaLL3WW1h0wZNfbvvboVvhUCtXgBaHh0r
> yN5ffMRHLitrI0f1BqkW6TCrWu/ruy0fN57TCPY/+6vDQS5GeM+MZU9Ofureq9dH+4t9gWGw
> mqeaq8qB1nrhHGSUAXwhemPa+PeAgoW5tKQZBjttzb5ejYte2DTi1oxIFvmY65f2RaUiYkwY
> PedBZ7tl7E6T5Te92QnDfkkc79jnw7JvD0V6MSp+A8g4IOSVawtE6yCZn3HYgNW0r420yTuq
> Tn55ipNMroax6w5K13VC0AMatJPZQBfPGGnLsbkPFRH+F6FUFwPWVdPVZ5yCzZnkuOWJNZPS
> KIREaAcofBGy5zKOum4MiblQC/mErPhIhiOWvg0I9x+gAcTzm5OVSqHspChbfE+mUcPEkQbG
> SmRBp9RpLSTxDR7JaUKs9u7ev2ahaDSLYgaalZynQmcazjhpwotlISvvkbSjgSO1SFDLAbCE
> +TIQinZdiN+H1hHd3PstVMxa1oQPb6uqB3clc3ZSUAMijgd/H6sm0IM7bhf00SRKynmjdhij
> Wg/r/5iGQ1C5GzFwD8bC1FbUn2rLfblcEY0HnAo2pxWstmeQpbAnpXFNnukGUq7eib8qEbp2
> sjk95jDEg4WD1hDQphrGlDhQ1lx5UCYhBxfN5acBEVjOZvbhr/di2FiY6GqtbJNICrJg0UDJ
> cBuPGg3KJQuTQOMxjGBm31zqB4dnUztqar+mE7Q39pPPPASFlBukqTWIkjkygd7HEFhiGpOY
> XS437DlrRilVeCfY5DzJ0LTuw91UvhlaLAvIvHfldbVOgzSfQQaqGklaub/jkTyFAMpqgu+8
> srTUoMPS2TmbtVKg2w0ZX/Pgilrczx7g96KXSLpPMAhFtXOA6C/9BAARXMkp0lHX5icnzj+U
> gGScsClF1ls+WUBSb0R5/JSFYwByWH/QGgyGxZK4Zb2N5Zfv2nQiMAGOV0wkItHjlCvW/aJn
> AXJhnowDItlwEmlr0x1+MsgiWmHTlkqpxjXhPKi/vo7zCJuBi890K498IBr750cCneSRRkZ6
> cj797w0BYTEYKVzl9KsDxRr3E6QBA4BbcHJ5kry7vhzUYKUFl+1mbAkEYixUby2tKSB3tXOp
> Hezj0KOxd5AMFz2WBFC5EP7mC9nXN9bgXPYaVx/Qcku9xFz+/ZQV6iyE1B8qupf+VgYUENUk
> rB1aDEw1GtGJVKUTfnrFmhJOEsbS2HwYDMwdrz7EeVYmCyjlGPhEY514TjVFyT2skeVCrqq2
> Q0BAYtCr7ellm7HDS68hSCs/7vOeQT81GGWgLPyhaT+fTa0EsudXT8HrvRvdf/ZN+ok3FxTQ
> IqQwQhpMqC41hYEAp8RucbSAnX/TwBZ1b5ZdCcFWO3ZxPy0zbeYym76kaM7nzVuIKgXCTB5Z
> F93zerpasEXE1XM2Zn2Ga2cXWSDhrUYBJNsjffoMRWBTTgSyu/GK2fML/k6ZiLnEllIjLURD
> 6W6tM7DYQpeMxKmL3klnutZJ8PNfF1Hjgb+J7aMM24grhk1I5oXzV6rQYaPVcM2O9AP55IGq
> B0Q4+Bgmb7XmxBKkfOiVwVMA3+7DiQP2fnD4tPvV2ISRPGNg1a3+vF3SiO7xqrB5xnl+xiJD
> 7hy6b3wyB+Pbd2++e0AhdCYwzkBNyOUV6KAJz9SEKYzSrUsxjad1ONB4k1r5Cg2qO7/9A1Aa
> Yx66PuxrZ03JEz5XRHAhjVd8A0qc7gopcAhcgfq6IgihWuxtvbGcOWtQsBub/x7bwrCA/FAZ
> aTTh3LQ/osQUy9g6nq7d37qccVuFKkEUL+xI1TWDp25dkAfwGILfgpRrP5SNu48lJB24r8U7
> OyXbC9/TzWNOtfP449CmAqItiAfBpLikPiXJuzfQ10l6pIWf8coJG5qwL86MKLxD3eaw6T8y
> /PB+JFgwvPkwscIMl4ZcfXmfVFFPXzvhS4F+bJxRExYV8K4vvEMCrLoiAHkJgnHohFOEoP4O
> PKlAesoC87UigYbihVZogwKX45sUMk4U6h5F2/+VNrGVkwCSUvguwx4JizDVaWnmywmTI2X0
> AnshYvJ9XdmP6nOegFvreDDzQw7BkbNzDQXRxJboIwKz+/gEyGo/UFaCvDGBfYN6/zl7iyXV
> bwep+qUMOpt3HuCukyh8FO298ruEsVAmf1iO+jdLoPIkWQT3b4WmN1SKw3GbxSd5LKFyG2Tp
> Uy4y/0EA/RvsxYvRmJobh0gL4Ipg8+XKPiMOrJ+BiLou+4W+5MT9opOcx7TMUgoKcwvFyQQY
> e/0RB0CL9ad/y8fwMn55tjEknwwxs7fd2HSaM69NbMZ12cLfOyiefMcFSYj0uxX+PxxCh1/v
> XKLEHzYGpYUfKgxBJyZuGNewa7csHcHZaKnjZupHCnV+UJTT3GslJutfdupM8EJLMSu+kC/C
> D+0vwagPDiLUNFr67uXOgcK4J124J9JQhXnd5klYrter5txrzti0/wGJ3BJOCW29+0INE28z
> SvAm+rmwGe+HuVGmgG7fpqDuO6rRfkew7YCQweX5qNL3An3KHU4IuMUREX2Nk15Hj8bEcYrT
> r5+Wg0coxv7qvpSaC0mMwp2z2BzTWIMHAXxZlrxCONAYpRHd+W18O1GjIScAtJtooxZ7O9oZ
> /7sk/E8gRVwAD3YQOvMr6R/lNEFN4uEsH7JTs9sG2/JcAZHpuoRrjuNsl3PqQe9uUB+4bxHi
> OlEWtyhodZWRHIzpyCAjn7CaJclwFPUzxoaR4V8UvQUIAdL34jUpnnybdl40nygtzzpFFvHx
> OyFCrziKRQrXwWphlsDvJak5ijoqv5fbOHn2OiICZcOaE7vRo2+cjOp3RQjmIWFPcf95EC+2
> zXovmnnb3lBK6NZHhzMNeT9QJ3X97sr+BQKLr6Ela5b9DkrFqsfTPltP0E71jjac/9T3vhc3
> vsdPdkmRsTXNxHrnZEgQm3LUCml99CUDDODO+vPHD3qWisJC10T+YuI1wApNDYfgMVJ6XPeO
> omPFyW8uQAcEbnToXhWrYldRa5P8/65qpdVUIgrY7FX8nZvERwbKPVpu6xylTFG9QLL2kKlP
> 8NX1weS38zWIepTTK5ZVfA9F/tgsPEJJXWj1xgLnl9CQ4DI27dDOhGbjxDSZqtMaxAjEgdGo
> mLdzh49m8daUeSfK6cpwWSidX9oR14bXFQ5LiJdLjLc9+CQPmF4eJZGAV51imyZnGiEFDV0d
> +tkJLi9qarnm6l0LqoTzNAav0OlfjUe5xnrHkZdqXLL3qQJM4GMNaH4uABGvaxH3InaleVp+
> /qDFTm4vzcVgob4gyBwhEtUvIrbz7F1JOXMohDMKOmXMQdlGMfRwjM+TqAq2592UZ6ckhYuP
> aQvSJpJmq80+dDmL0jgfrsNG6I7msUNOakhLJs4XMJTAUr7VFapIzDMhE13D/qwksMcDbxSk
> x+P0e5FpPt0cV4yMKHxsUuxrkcpbpcJIG0L6Pl0Nx9yupeSELea416k5tBkGOp2OQ18dPYD0
> vKB89wC8mvCRImtTtjIf2lmwxFZTvYIrApt+Rq9/F4/hZQTozb1saJxFQx3g0t8jDTUoPYp3
> XU4vyTeWzqeIGNocTKs/JrJksAHWDbegXo36NbzMlXEVgDtfjg3YqcB7KrwIyyItCC6kHgyw
> 81Bjs4aSGd7FeLy4NipaFX399pT0EAmnOj3eFLQZB/ID1Y0uPLXYU728bs5j2coGQ4zwxrZk
> Z1v2yygtIvmlCoZlEa5GbKtzBEaag8nfnRoB46aYAy283zcOipjAqdaurS1r1+Bg8PADRwN1
> tlOkMxefg7hpY/scEX8Ruy+40W7dJcZ5Jr2iNf6cER8vQX+NAqaW0IyNZ8mafnFnt5SPEWuy
> AxkMBdWyPFWbqjaM8DF0BJiZsZcBZASuonbio1I9e6jyCtUQqJzTCJFLDGI7plqTR1tJG7fO
> weFcMC0ADQ+OE9zVHQmTTLp/EayCN/QYknwICLzmLK1W76gkhYg1snqtS7A8UcCRIUpbgsrf
> 3PHv/jqrmNq9kIa/OeFWN6eeCAGS2sbmNQ4ZWGwCtqch2QwT0wkl30rR9SipVvq3kchfni12
> Y2iWOJLGv6zZdKqD0RhibUDb93qA6fTDMj3yVplRNbuLwY/MlFPps/9a+Uo1Ewomc0RPMxbZ
> 7iQWOW6yREIsnc0AYfQvfk/KQc+qd0BYpSVBtyX9dSQkdwEGoMv2WOsxw01aF5uXIXolC5bY
> w87MBUwqyCQt03Xi69giOX1n/8kyEypfKWlGXasgx5TCDbWSSAQTSMMEpkbVQ6jQPjpDyizX
> iADpGt5BsT/3dxsQ7pcB3qWmuK6e/lChosd818KtYbgsmtpO+2Zwa/3mlyvJuK65mahKUz6w
> GqUqlCGthw6n8dzxFjGI4yk+HNKpyrNMT3JuFAzDSLPiqgRSVu50sCykdx3fFzm0Fl3xII9i
> UwvXuhN07r4zKGEwpFdyLh8XjWhzycz3OX4FyqEWa0ulQl5c3COfcjiIXrIgS9a49w+psRnC
> 5b6YDL2WB+hgMc/4ar7Z0iFV2/Stx6rrOQpO9AbyfSJwMQWqv6Ea3UD+DEjqSsOjWIkm6uWl
> u4/ek/S6hmJgEBSzyA/Qz+jQ5GQazBH5ivmk1NlgOlNpH/5JS3lQq2poM/hJcGpeYgDd18op
> XveqMGzTP7gw9K6JLiFPPrT7u+lNbXqMP8gBeI9V7PsAFJ8/3QVAsHjevLrtTfzsckYpEBgM
> msUDWpmb2ZprDJHETePLRhGJ9lzWDU5Gl8Jt8NJa2sfiliGliONyp/8c3SE+/7jMfvy4q9md
> c8wkDfFaBVnuyskLjIqIZBn3b7/4EMR4eBtRpstzEMWDGiFHa6TVY0HU4MPQ3IJApDoFsBts
> KaD5nBLDIegSvtLWm5jWk/bzlAJ4clZVjexN5lCh3ZRjQVDUuYK9IsAW2yEGQtUM72hH6zmc
> ORvffZmJw9d/tEmCI/9IixW3nynxqWrytiHYSVDaWdgoWVShTsKYyiS9JIwidi23FooiWVIM
> cPqScGS1DDVPZY5Ab3zT8AptLRQFDsl1Ct+37U0+31C4sjfnwnqPUMETfj8AvWxPU95L9JC9
> 7kwowXw2tY+fSnsBnjQR5kR+zicY7KwFmDkB+J3ubGcYboRqUAB3qw3xUscSmUFRJaWVynD1
> H4YTAZD7IH6V9U2E3YDiajTTFF/NiqwcdKmyFqe9FLEKI0dykMht1gpn077U1Lxm5/6i/gtO
> eqOhxjT5Hw7aGCKy3JTlHDTiYndWDhaHTVTW5Vo7kE/5XvNDRDtS4wyhcm0WkAhN9e9Zzkpt
> +Rh7ZPPUrivv0xWH3vMnvwUDBgmHZmENFN4Ay3HNHkh/EVnu3VbfYc6TwnB7dzRg2zkGrYsX
> aw2mmOE1She5JrhgIQVVO1mA52pebxexY71LcYRmetBBU1170XeLQYNR79vn7s7UE0U3mbiV
> 3n03eP/XWLu8080H63AP5B+13z0ILhtzOZDbVOPgvHeD+8q2TR5e4m85hCxFJSd0jpX32h9T
> 8DRxAi5OfLma5w3XIUF68kHK6eYWAHhk5jYp/6DAGmLleobQ5ZbA/yiGSzGEbaXapFYEaMW1
> ghw7bdJJNvIuyQcvXjZ9SBQtIURHuH+CYXumQGp9GyeMKK4SC3RVILEWXIqDjv08vCgyocu7
> eJRlw8kBS32t6nW+y6hLmecMciYhEUvexcyhUBw5mw9XjiNK/g88u9M4kaQiaJAfM5f9nydk
> 7EnfDrvPmUtB1xdnPfmd6BFKFeRcfHKN1Q/fHtiDbeRhKSGxNRkPUu8n80RqWJgLZ9A2OxBW
> GfOklUEi5pq6qVM2ciwWA+3WH+1s0WXaDnP5NuB1h2vAwGda3ym/7yNfrfKa0H2UN2l4fntT
> yae7HEa4A0P0DxO0hGlsFu19ufJxtx8FYK4jYHLsvgPkHvkg82bv49WGwZGI+YZ/erG3HQp/
> xSckuIGGdhQQWqkPLEe9i4uJk0gH2F9DChpInNIDmg0TpOZ/PiPTDyJX1LtX8FxkWj5UfJyo
> zNztFF8VREQkZIGk2w4+U6qm5VW+bdFDgGRRTSqlqGSEpVV63nHtQBdlIRmhKRymV6EbxCoP
> JVqoJTj5saiaomlKc8MtJxanXg/Qb5zLLb0VlGm6FzsiUb4efeS6tD8ZbkKak1Wiyf76dI2U
> tCEvsMh4f6kRR1XxWfoJ018/WD5A63Ukx7cit5uy6ki8JvOxpEgALYlaIfk5h2ACk2dz63GI
> tOK6ZA+Ud21MknMVe5FccrZCNTp/oP5LnsuidiLrPE15KHiielIksstF/RpmvMV3sGS96YMI
> wJjEv65aEAz6Q0gEwfoiSQUgcc13WkVeX8kfYrCqT+9owytZmgbKW+tDGNUWVX55D56V6o50
> r10QndA7lqXSjpVnEd5vNbB9F+Sh69t8TyDRqnRs7lvZgj2jSCa8tcTrryiZ0tpFXzapvmMJ
> uGopplpO10s3CpfuGx4H27WIW2ga9kAa3iUeEXOli4OHXNjDG2Y1BLQghD8HXusRorL3qbas
> rVbRFmITgFZeHAYx0KxkfJ0x3ahDxtrJoH49MD5y5fSe8N8GPbJSbGymiJq1YY1xK4opYOGT
> imDXF+PxaRmwBBWrhsX6EBjAOWs41Hfuh7djrBxElVIj02VjiCoGRRS2UrQEX34bPmEvSQ7u
> bBv3iVBZM9QnYXbD9kEEA/2Ba8gSOH++Hf58sy7Qp36DQ0X7oBLzFol0XgXlmcJjTIEPL3qb
> fgum/ZUa7Onr7s7Xrq0H2VeyjLa2CAonb6KgU11r5jhllCBZAaXC3Mk4b01FF8UuIDXTpYNC
> aYg/LFV71vCz/k9rkDhAyAk/1u7dd3bCIzt4Lh2xnuJVLtGdsTkCcO0Wge+3BwELcpyHmpm5
> 7PXmC3v459YTmQwK3pdIksmW1CRumkF4pLV0nKIx+uBEbxX+psTMlvHtiNT8i/OUitCaGIMx
> +qFw+uWfbinUQ/KMAnTM26NN+ydpByzAnxCWVADVAxrHh9sBpg/maabh4e1O04dkL01VT2fo
> TANt0yFGtMKPr7qcciCAIGm4tThWVunB2aDoBi9Q/OCb1pUK6cTFzTAj5AjKkGYxQEl4frtV
> rsTrV8Dp1gH/4XI7bYK5dh1qAjAzsk6bOGV2MjN3qhp4LsSRwjAaCBXo1Z7ampdrRXvTJl++
> QxNP/tHTK7wS7F0rrLPGI7255jdSbtr3hHsl0H2fbDgWeQLddGEhguYjtHCOElnUnPdjDvk9
> DFyhpKnMs5tCWIkTXewPHGsZ1p3yNM8k4E7GzCZP8MkZw+fGUf2AENuMy7JNT+Sj6Xnb/BCT
> rK5kf8aJ75DTjePio5QfIr1kA5yzoRfWFusZHvMHgqzv9vkPDl/4R9io4WKz/LOsjXpFDAKl
> vc/SEH0ukfSpxX5fX8teRHklwx6b1kH6KeYKbbGunFVUev1YWVx6POLwerqRHAFttLwSSk7O
> /efqaPp08DEAmaaVbO2Wdqu95sXiFolyg8vQ0KBPqcK6LXC84vmlq90hC0PB54XONbivoWsv
> ZxM/+AZtUyNMw1goANORzdxWr4ui1TMVpvLE+s8x9/pAEfAcjvtGajlxTcwT04PzgW55ttTI
> SEiytqigcJGUcw6wBSy8N3I2/g3Y7OWvUjlr1rlKAqD/JxcGKmlTzZ/PwG2uS3JWuI6pzfGB
> IOmRKF2N08KJv66hbEGB0QwobRmfvETcZT1rU9HGHUcgBU3Jx+SrRTpOCeU3spm7Vga+ERr/
> FqfOfUF7HNdAZ5DpOZSvmx+OTLuiOfHj2TkG+bdvbX2MuZjBm/zN/YkAllSwXj3kbkmbsA+W
> ZKfcrFpPHKr+J9iAzJIYaalW6P99SJPJ9ZGHBrCDWT5JyeAEoj3geV4fBW0qAawObAe3JbL3
> scXrAqSDaYtYrV5yQT3OpCnOkkzuXHfWwHQfqO9zerB6IkP/UP2nmHvUlmGGau4hTz0plafK
> CPhXbEByqo+wHK7nVySofnm2lOnaAqDN+fr3S51p7lLGbQGRhR7JVtJXACZvj6IPK7keXIWK
> jb8RAha9Q8J6Y/UtunxkMUU3kH2UWC1vd/McNwTGxWazuD8/CpGjPcc/GjhOJl8sW66i9diP
> 8HCVbL9rXep1SnUMRFlejRX6h6sVpFpr6rt6QjB/Jh6jlbvUnSghsUBJawpunyahWFT6ahQr
> +obKOUPTbiGYzvjsRyp/y1N58I83+W4YbAYPWF30NZSCWT+kUHbVQbMC52skRZlDq6/NuvzE
> yndwUF7+QBB7ziT7U70mr/nKsfUm6Tsv0n1Zf82Hg/k/09jB0P3CTz+Df/XMq6W/cp4in4iX
> FB9ONb658buFFe2CV13+Nx0iPLR6G+IE0YJljVcBC1DGIxDUbuXlqx48v5D71BdJyLZNlgHv
> I5LFe2vqwP2lQ50cmaQuamUBWfAcTNNMIQbmucLvuAMrtzIQ4IM7Dei67V0JifcayEQTXNc4
> 0/OrX8v5k98gwp4eu1KvzFzK8RdzSRZdFzlt2S9vT3NFNvU15zrQ8odSPC8tpU6qVFZsea/7
> N/TvOVnc10odHrNJnTPLJm63zr4lFkQUK6Xszfr+37nlAM15U1r6HDReuMRcV6LLwYh0ZIXw
> xlzUnh+5lMN+NlqXaqISiD80p9c4vVXZtzmdDd9WjwzctNEbvwvqH/BVb028uCsou0OFhDTB
> ATZtl7JSK7hw8DRQ98Am+ArHoPaELOChDZLiPCDbcfJbaoiVuXqC1RN4iqIqq2oxLRR9me6d
> mpPv5ht1moLYcqcg/rvtCiVWRBxkXFZpwqAuT3kcKgSBO35hG++rwiKkKP8aRWsPOYGM7Di1
> xAnrDXbd+ctU/fZ8Q4LOk3oQlw01VXYXTvVsIzIA4LlXZJOXl03pV8elsBZyHW+K0M3JHKAf
> H+oYEOkLl/8gP2GSRA0NgpJicXBdrziWNJvgJFcA8++I9wyTVHyj0B8ou5EWOSUEHvyLLCWP
> WttKnKSUB6gGtXBpeWveci/kQzIiWfA2nmZAb3D7W7JviexFpeawnCYgITeNu8sv8YY4VjTs
> OzpHhLGpMYaoq4O3kiAuVBxaF1Bt7W0wKXPfSnDh0p/JlkVyJmYDVai14yzlsJNEO8xY7gIQ
> rRd70BbXC7izUFJNnXxm2qfldinDenF+vvQMYrB7+1BAufq9JcF21l1xroqqnS8Xx3QoMvzk
> y4xEydX4eOV/g8ZZOdoq0wq1Xn1fT99QUQNr6Q6Ctbzqq2fwwjdqSqP7gHiYamvTPxXXp8Xu
> XPjIsG3iqiQkv7LRKeCAwg+ASrToV/n/wU2PrJpHTNrr7T1m5JR3JScBB6vQvfk3VkbEkEI+
> IyQ5UJpclAfvFaikqLEK/RZAhjAF3UKN0NH/ADAwIwWhQmHaOVQqibPmPm2EiQMJMYZYlS0M
> bNqNCsgbGoFSE+dRJbYbUzuAl7Kynlr0HkGjgvaajjefFuznkR/cApMPdETswHyWXovOC/45
> RhP2b7fl0ZCs/A6RNnKrTMfQF6TqH6icSRfGMN6V3rvr10J4AMz4relZQCziOY4zERNzUB1i
> bfsZfDGyHIzRrm+rnO5Wf/ajpFN8X+RmC9Z5lpxUnrbPIWenib2EJJuETm4eYt7WZnk4Jdzc
> A3znOsLgrEaVt1NwLEQbWYBNuWpyKPVjq6t+39bWf+PjMcknd1SersRDO0hyaxnDwt1zRQY2
> zF10VGHV2HYhG4GeLwDgNOQupBWHax8ICUQaGkzDauBFawz2L6GIBCCnEVdNxcDsJc9hlNSW
> xlgOk8ic2VklhE2j+UoESOYNTnKvCMBdyT5wvZFvL7cWPBuF4Ra3k4adwEpAMjOq8nlPwhjl
> 48UxnlaHjZ2eY7FXKFvcaAd7KvG7vr0ABcFmG3uTj1lJwBLo9/cQvf3m2uCXUokk6ArOZKQf
> DAvBUOpXp0sCfw1Muzwq3wJWg1gAj9T64FiKuYFXD69oN/GjzJ+0gjs/4SfL6lwr/2eLvbzH
> fNHgr0meTSNkCtqCmV5uD2nKNhwxFo13cvahh6pqJvi1TU7PzsJmKind0BaSc9wRiVzFE9Kw
> TeEZtggohTwgAEJypchFy++StCh689bKawH3Tpqe7zOLF10QMfwhn9Vhqg5cBI9fwWfedYOG
> OSf5sVdDmgp6lRvJjjB3kNmANbOLT6v9pCTcIxB24GsscmkoxFCSVk0eU/yt5jsz+TyeqnRe
> m4CntOsYeEdFTRWyWn1r7B2cYOX5mY6AvvM777wKutdFKTggfD6aS2llYUk6HS+SvZTWIyUt
> pKZM63vvs9h+2n2lwfllGlfp8LmIrQOiyD8xm8fcLpsRz0c4wInHFe3jja9rCQfzBktg1H8c
> 2s+9nopo0GymHw3p9n3qrUamaG4k4YfHMfsOFdANrit39obQaqX1tffWscJG83fGcL8cFCsG
> zcnDVOWUO+6EQOjAUuNixepaxjvJlFMHeu61Z5LCyBr6Amw2rIqdrLlQjz8WF8F3t6btAfaM
> 6nziIpXIZjeFpcYSz3Yo85unBmsd01fnBFAPcGP25AwcqrorIReHL5iJd0iyU0StuTS8198l
> V7iVrX6CZ/vNVp7Cv4Db0G58p0CXtQnux+yWzBkk2hd4T7IN8cvAYIftRwDgxKglSqao/F0i
> HHm5TcVUBFb1X9fcKByC/7jsW2ZIzUUN3vf/Kq5u2seAQekI28RuJQHHpM7UNCtSYEqMwyJR
> Pw+SE5eCuBhw2TmGKBtRRy5b++LCmOBrqAl/GYlygaUDo3QRAYq1j2P/E2bACHlQA5tDZxdb
> ss6L7vXmaS+kbj/i9z7SbTxdV5C0aDHQHNc8eWW5AO0yHn+mfcO35nNK356IhER9O6B6vuzj
> jNomZJu7z+DpjSZrFTHts6/VkTjsduXVB3H0/a0jcjZ6sPoLdTzEuNC2DioX91l6mIF9cuo6
> h+MZaH9g0432jRJWSDK2Ni34gt/EvncKkswpEHUAzxNLSDCPlfd4CISCXZbXxAHsffVjt815
> OYpuKyBJ3fILoI5EFX22GYR7CIsVcr7pVYBBVr7XyP6/UTf42JSGmKfeqToK9RJ3DeggjshN
> xczcHl0VDDTziUF0rJ7xl5yIj/4PUG4FgQ/3PebNcHhZNUHMWKK7oyzX/8gU0ckNBKohDt2R
> 2xqZ8x3/oaqXN8L9PTqKF+PKnSGRBtFfdrCGvzQ9BJ75fha9jchsiJxh4W3a8LfgbnvUBCtH
> GpPejetR8ewX4EHw8vCvFIGP10emlWm78168P5jhcJApVZbc1XQ7ptj2NiE8IKagd7DIvDy6
> 3gpdrc6L3h/8/xOqVQcWWJv7CmyxryZ43GDockmjM0qnZS/XjorY4Rm6IkB+YHOsgH/660Eg
> rTuiHok+ptqGdPL+Q3lFK5hIlENdhu9OviH8PgvEHga4bS6MEQ2kbN4E5tkDS1x6FTjIg6/q
> 8gt6+pz1JdcMM0kGkZJR1IiqA/jNmlx8NgHOmFCowQXO299MvIAu0OLH/SJSHju7nhDQ/h7Y
> r6I0ZgHquHJ58ECOlKTHnF82V4qvu2U71/4nnJlA2gn+BCOCbP/lEjCUDdkJSHefC1Ab0Jg3
> JwhlXFa+5JurMM6Xgr5kZEBO3B92xaopHk4bcFv4sFHQPKqsmzpnjNhIUsji0PnaxaSEBh06
> r70ngnYEq6bpy2++mm0129kmhw+nS+kOn+6LkgJjSWirLsD/H9RQ4F8ZOgi+VgV06fQc/QkA
> KT9I7jxd/EUXs593ODUg8JjYr6olO14qF22fJzZLkQFyqtwcW+fTKC/+hOSxqsBNCTG4sy78
> jIXKtOY1s3BaSKmphODyaBkP+nrknANmIwftAg6psz8UGW0w8ZxdJt6HVeubRrz5lzC048kw
> GzJlbQhPWydFNwnhFsKbfPtLx6+lBVFtfgL0eJqrzz6E7brROA7NWS7fCJXO9esnDnsf4e5w
> TtBEvTGTeEYISqwv0LvrXGOnppF7lpPl0BP2abHkQts+bfLRmb8s2cukDS2Ys2BTCce3xRdm
> W2YkOj+VgIrRmOGT5waK5FT+lQ0e5cwoX7w3pKFHGNET6fPA5sWo6oxk16TMfBPdaxZ9dGki
> DK4J7DeXWE/4Xgwu2jQAECLycFrWD5oTXQHICVou7dbIbudOlDkSZ8pWBWBAFrrtPGeeso8V
> xuiow5tnJzN5prkX8IgDNKomgnbIDyS6ub1tH87CczOafDmX6/QmhQVubBS4DDjIW/AKTyoS
> 4v2uNmJQVluvRI7KoV8500A7M7Kmv1NLNlswaq12wJzn8k3dHkGGVr/IwLYAJD3eUbWSYbIU
> BNCjHf/QOGN9zVCXertRK34mXSm0UspaboytDUFnkSgEhCT1N0BcihZepffpOpTbsQh9Vxl9
> 5eWULYaxcOqz+LGpj24TaYUXwOEglVYT9pLNxWm941Pa0HHhgiaEjKLRhuMxXwaJaaOj+52c
> nL81y/5p9V4ZiKrDSgtZDl3GrsaNFmTHJXlpBZs4ZcwQE6oE+IsDyUgQsh+tBZDioGyeYwgz
> /Nto/pRyNYnwAK3x/szkUEJ6o0zHd9+qpIWrgQu6QUIyeegwTNzNuxAN6dQcZXpyWiNZe5qf
> kbl4c4zSSA+HT7wGXH+tYM/Ph89iaZKqOe9LNloS9sW145BEkxo/HnAhNyHSE6YMFIAcOo10
> kTUJLuxRKRtkWiH29NlfmNc0CrhummuDvTm7cW/+ppigvivk+eDir5nkAcVNPGZNu2pz6XhZ
> sDxSqUw+o2g3NwMoHOTJ52SzyCSFaePNvGr1MyohTwaDbnZR3L1ZGtWdBJSY4hLIUgSQ4BcE
> IaRfr5y2mco8sMH1boQseseoCyzT56psX25PgLoExdTBejirpB6aT64KOLFYxcGSsN/HLuPk
> vxR0a5yt3q5B+O9Xjr7gr+m/DEAGs8ImRdxdO/hS49CuLLtI5WoJVpDD/B0buMrcV8zmuGzt
> /gjDsvA0fPqVhJO1zt25cbhVeRrHLCw3X84Z17rMWgcYSqZPP2RJAyHUk3emXeX9POZj25n8
> 7qNqtTo2V8x/oN+6BKhS/CJdOP9reJECqWhNMYUJdQlBzGxGJg1RUP6s/dzDvKVTEmI1iaO4
> PmLOhiP6kjKxb1f5Z+EvuqO+naaTyCEELp0R9EJQBUqu6o3/weBALc26huFnplqrl1XCB3BN
> o4woccpocXq8/RPCHVadH/N2ydegWo+B3FOwiSjAU590nwZH9nSKTEcHavRgWvBf3JLslvlM
> jcsqNuaMXsxQpDkHF8nU5JH/4fx4vM8ccA/fV7EgFgvsB2XfTDo7KlDQLv2oYz0msqT43wxp
> Wbz56dTVmSLo3Ebmra3AJpZBUc32gJOGtui0Uq109XtsGRAzDVEZUzYgMAwZqAQ5wJUJE9Fj
> SkU+9JDb6HcDTT3Np1qH3fEJkrD2ir/2oJ+dsToh77AZK8TXOsi6sZe/4psebxZ3bo2SCuSX
> /ODHnkckWILBZqHytfutoUed8v1zmHkXjKnmKPi57dGvuLjhLydF4AbAKHKXpD4x1lGy5grw
> 3Ki612/P+hWHxEXdsXF8qNoufw1ZUTZG2o38SCFYAoKo14FPLVeBE/5X/5t2KFjpJe6tPJ/5
> rgJqsvlV7EHxVlJFPsAeBX9ufFhWn5EhJBxv1RsfMTSyhNlMoWgCSxB7DuIco4E/9UwkVm8A
> bxVX2SB7xSZaKKHeIsMBAkIEkOvFZPgQlHhhFurl3NDTLkmCZQg0ab0zY9Ptlmeb7ML9Se3X
> aTWo9gd7SoPmFlYdE3yVM8JlYVQUVO7xfRV2mHFrE9AoCPmZYInUb5KQkG4o08ub9EAcmMFY
> mJ/YMlJI8ouxFD24j5FJ9WpztiKTebnW2rNEOAmFxTRbx6zSFuQI133IVf7Fdv7u74jCKGgZ
> BGqN56xhjJweI4aeFDOE5rTqTRcmPzgdycKiqSTYYRlOqkKdBdttyXYMUfqwJMNuuoMmINhu
> +JyLpVwRo1jFiarYpgdWQ2SXiFz2tqduCt/qM+VcdewDf9lF9gGJruqDq4J+1vcUDhJPL4Ts
> YAzrhll1Noa3oCDpGd/XQ8FS88cB/I3Waieh9o6xFHJa679+9TLGd4rC92xF82BQeCf/Tk/r
> 29OJiic4ejtOaHcv12zF/2hw7eXAPI3frnk6nu1/+sHHJSUwjNC8cMnufPzt0i24NAfXxK9D
> LzbnsTTTrndwmyZoKssRYRom2Yf/CN/grqFPZ7ztxDtpBmnRODnB8HXWnWwkryVCueL1ebdi
> aD0ndP/5z0PyEw1pjxEX6EUV8xTrHLeyBaPnF54rVvqojTD/yrMXKoPUrSsEYqSeA0NGnsdP
> 5v9I4SAVEkC4jsTCuI/r6Nf75v6QVQyK73KRjMNSQh/Q19wBT3pySRIdTDoRqgxsOdavSZn+
> oUColi2SGCqiZexKgtCmFgdpavxxBlObeBt9s8vWh4I2Mq4dzH8xAYd49KnXTy0DdlXjn47Q
> U8GQItBh3DsRc77ZZ+pHZtnhHXIBuT97wWGjh1fAXsjJ/Gq3uGED/9UJh5sjuEWJ4jLbn/xx
> 9pOFWAdoYIPq3J3Sf2tF3GOyZeMCNWrirTumzaZ+vdgyo21xvAiVkDJMFnsJFA+G9y/R1Czg
> SagfmRkHNuggqHvGpPFLxGV0MdnUMV2GuTnQ4jNyX2ydNCjQrT/pMad3y4LuUa43o9rJ8fn6
> g2MwBkkraErK0HE8Bv9NcHgZZfj9+F4f2XmalZIhY78UIzenkCfyI97AS16fikodfalL5yXT
> PimiswjcVRvQlgHv4m4+IIJhsQUQE2fWy27kT0ZhwycuaLRQEoaZ5Whz8UymacoMkLfAnCLd
> GWJDb9z0m5X5GrKxp/yNhIE+WtuZktR/7EaIBr66mnvqBuuq34QamhQgMUDMkcSHGF6zVHga
> xp0h1MYtU0IkeoBQTBVk+4PeNlAf4YMk9K4C6vFV6hAOvMw6ekXeCXTXqIcDm24QVVodppjx
> h4fOwA3hE7O8UMkOyJ4TSLxaoZXsJZ62wpDdpMIPyBKA/tELQDXc531xi+DoYboIZEaG/UfE
> aUmtD2Uad5qjcnyUidkxFm6oCsDnFekwXbYq9Yocj97ky4eXe5AVKUIu8BOc+G+p1nCHjaUl
> mvPXk3aFMLw4QZD7NNKeYeLlugsoFVOOQO26rI4aXYqCoIUP+xsx6dvV7YY69Wdgxl2dn3rO
> z30Rd8ADe/opGOzdGa1aTYt9nMKbf6gIcGUhACjGcEW13lDEAAGEbYHRDQD7wdZLscRn+wIA
> AAAABFla
> --------------010407010603080606050206--
> 
> --------------enigE27FDE1E3ADFFB22ADB9B13E
> Content-Type: application/pgp-signature; name="signature.asc"
> Content-Description: OpenPGP digital signature
> Content-Disposition: attachment; filename="signature.asc"
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
> 
> iEYEARECAAYFAk+x9vwACgkQvmGDOQUufZX6XQCeKSHW3Qf2BekG5jC0gWJFMMOu
> sboAoM2xjayUo8EjXsucgioAreCW49em
> =OnsK
> -----END PGP SIGNATURE-----
> 
> --------------enigE27FDE1E3ADFFB22ADB9B13E--
>
Comment 10 Matthias Andree freebsd_committer 2012-06-15 07:35:13 UTC
Am 15.06.2012 07:26, schrieb Cy Schubert:
> Thanks, committed.
> 
> If you don't mind, I'll try a couple of other angles before giving up.
> 
> 

Still fails for me. I think the k5crypto and krb5support taken from
$LOCALBASE are the issue here (see ldd output below). :-(

# $FreeBSD: ports/mail/mutt-devel/Makefile,v 1.327 2012/06/15 05:25:00
cy Exp $

$ /usr/local/bin/mutt
Undefined symbol "gss_nt_service_name" referenced from COPY relocation
in /usr/local/bin/mutt

$ ldd /usr/local/bin/mutt
/usr/local/bin/mutt:
	libncursesw.so.8 => /lib/libncursesw.so.8 (0x8008d1000)
	libgssapi_krb5.so => /usr/lib/libgssapi_krb5.so (0x800b2c000)
	libkrb5.so => /usr/lib/libkrb5.so (0x800d46000)
	libk5crypto.so => /usr/local/lib/libk5crypto.so (0x800fb6000)
	libcom_err.so => /usr/lib/libcom_err.so (0x8011e0000)
	libssl.so.6 => /usr/lib/libssl.so.6 (0x8013e2000)
	libcrypto.so.6 => /lib/libcrypto.so.6 (0x801635000)
	libz.so.6 => /lib/libz.so.6 (0x8019d6000)
	libsasl2.so.2 => /usr/local/lib/libsasl2.so.2 (0x801bec000)
	libintl.so.9 => /usr/local/lib/libintl.so.9 (0x801e07000)
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x802010000)
	libidn.so.17 => /usr/local/lib/libidn.so.17 (0x80230c000)
	libdb-4.8.so.0 => /usr/local/lib/libdb-4.8.so.0 (0x80253e000)
	libc.so.7 => /lib/libc.so.7 (0x8028ae000)
	libgssapi.so.10 => /usr/lib/libgssapi.so.10 (0x802c01000)
	libhx509.so.10 => /usr/lib/libhx509.so.10 (0x802e0a000)
	libroken.so.10 => /usr/lib/libroken.so.10 (0x80304a000)
	libasn1.so.10 => /usr/lib/libasn1.so.10 (0x80325c000)
	libcrypt.so.5 => /lib/libcrypt.so.5 (0x8034de000)
	libkrb5support.so => /usr/local/lib/libkrb5support.so (0x8036fe000)
	libthr.so.3 => /lib/libthr.so.3 (0x803906000)

$ TZ=UTC ls -l /usr/local/bin/mutt
-r-xr-xr-x  1 root  wheel  789048 15 Jun 06:31 /usr/local/bin/mutt
Comment 11 Cy Schubert freebsd_committer 2012-06-16 06:48:44 UTC
Responsible Changed
From-To: mandree->cy

Take on this PR. I may have a solution.
Comment 12 dfilter service freebsd_committer 2012-06-16 07:08:39 UTC
cy          2012-06-16 06:08:30 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt-devel      Makefile 
  Log:
  Fix build when linking against MIT KRB5 libraries.
  
  Check for and use Heimdal in ports if available.
  
  PR:             ports/167639
  Approved by:    maintainer (implicit)
  
  Revision  Changes    Path
  1.328     +7 -2      ports/mail/mutt-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Cy Schubert 2012-06-16 07:09:17 UTC
In message <4FDAD7A1.10605@FreeBSD.org>, Matthias Andree writes:
> Am 15.06.2012 07:26, schrieb Cy Schubert:
> > Thanks, committed.
> > 
> > If you don't mind, I'll try a couple of other angles before giving up.
> > 
> > 
> 
> Still fails for me. I think the k5crypto and krb5support taken from
> $LOCALBASE are the issue here (see ldd output below). :-(
> 
> # $FreeBSD: ports/mail/mutt-devel/Makefile,v 1.327 2012/06/15 05:25:00
> cy Exp $
> 
> $ /usr/local/bin/mutt
> Undefined symbol "gss_nt_service_name" referenced from COPY relocation
> in /usr/local/bin/mutt
> 
> $ ldd /usr/local/bin/mutt
> /usr/local/bin/mutt:
> 	libncursesw.so.8 => /lib/libncursesw.so.8 (0x8008d1000)
> 	libgssapi_krb5.so => /usr/lib/libgssapi_krb5.so (0x800b2c000)
> 	libkrb5.so => /usr/lib/libkrb5.so (0x800d46000)
> 	libk5crypto.so => /usr/local/lib/libk5crypto.so (0x800fb6000)
> 	libcom_err.so => /usr/lib/libcom_err.so (0x8011e0000)
> 	libssl.so.6 => /usr/lib/libssl.so.6 (0x8013e2000)
> 	libcrypto.so.6 => /lib/libcrypto.so.6 (0x801635000)
> 	libz.so.6 => /lib/libz.so.6 (0x8019d6000)
> 	libsasl2.so.2 => /usr/local/lib/libsasl2.so.2 (0x801bec000)
> 	libintl.so.9 => /usr/local/lib/libintl.so.9 (0x801e07000)
> 	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x802010000)
> 	libidn.so.17 => /usr/local/lib/libidn.so.17 (0x80230c000)
> 	libdb-4.8.so.0 => /usr/local/lib/libdb-4.8.so.0 (0x80253e000)
> 	libc.so.7 => /lib/libc.so.7 (0x8028ae000)
> 	libgssapi.so.10 => /usr/lib/libgssapi.so.10 (0x802c01000)
> 	libhx509.so.10 => /usr/lib/libhx509.so.10 (0x802e0a000)
> 	libroken.so.10 => /usr/lib/libroken.so.10 (0x80304a000)
> 	libasn1.so.10 => /usr/lib/libasn1.so.10 (0x80325c000)
> 	libcrypt.so.5 => /lib/libcrypt.so.5 (0x8034de000)
> 	libkrb5support.so => /usr/local/lib/libkrb5support.so (0x8036fe000)
> 	libthr.so.3 => /lib/libthr.so.3 (0x803906000)
> 
> $ TZ=UTC ls -l /usr/local/bin/mutt
> -r-xr-xr-x  1 root  wheel  789048 15 Jun 06:31 /usr/local/bin/mutt
> 

Just committed a fix. Works for me on amd64. If it works for you I'll go 
ahead and close this PR.


-- 
Cheers,
Cy Schubert <Cy.Schubert@komquats.com>
FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org

	The need of the many outweighs the greed of the few.
Comment 14 Matthias Andree freebsd_committer 2012-06-18 20:23:25 UTC
Cy Schubert wrote:

> Just committed a fix. Works for me on amd64. If it works for you I'll go 
> ahead and close this PR.

Works for me too, thanks a lot!


The whole lot of Kerberos is now taken from /usr/local:

[foo@bar /usr/ports/mail/mutt-devel]$ LC_ALL=C mutt -v
Mutt 1.5.21 (2010-09-15)
Copyright (C) 1996-2009 Michael R. Elkins and others.
Mutt comes with ABSOLUTELY NO WARRANTY; for details type `mutt -vv'.
Mutt is free software, and you are welcome to redistribute it
under certain conditions; type `mutt -vv' for details.

System: FreeBSD 9.0-STABLE (amd64)
ncurses: ncurses 5.7.20081102 (compiled with 5.7)
libiconv: 1.14
libidn: 1.22 (compiled with 1.22)
hcache backend: Berkeley DB 4.8.30: (April  9, 2010)
Compile options:
-DOMAIN
-DEBUG
-HOMESPOOL  +USE_SETGID  +USE_DOTLOCK  +DL_STANDALONE  -USE_FCNTL
-USE_FLOCK
+USE_POP  +USE_IMAP  -USE_SMTP
+USE_SSL_OPENSSL  -USE_SSL_GNUTLS  +USE_SASL  +USE_GSS  +HAVE_GETADDRINFO
+HAVE_REGCOMP  -USE_GNU_REGEX  +COMPRESSED
+HAVE_COLOR  +HAVE_START_COLOR  +HAVE_TYPEAHEAD  +HAVE_BKGDSET
+HAVE_CURS_SET  +HAVE_META  +HAVE_RESIZETERM
+CRYPT_BACKEND_CLASSIC_PGP  +CRYPT_BACKEND_CLASSIC_SMIME
-CRYPT_BACKEND_GPGME
-EXACT_ADDRESS  -SUN_ATTACHMENT
+ENABLE_NLS  -LOCALES_HACK  +HAVE_WC_FUNCS  +HAVE_LANGINFO_CODESET
+HAVE_LANGINFO_YESEXPR
+HAVE_ICONV  -ICONV_NONTRANS  +HAVE_LIBIDN  +HAVE_GETSID  +USE_HCACHE
-ISPELL
SENDMAIL="/usr/sbin/sendmail"
MAILPATH="/var/mail"
PKGDATADIR="/usr/local/share/mutt"
SYSCONFDIR="/usr/local/etc"
EXECSHELL="/bin/sh"
-MIXMASTER
To contact the developers, please mail to <mutt-dev@mutt.org>.
To report a bug, please visit http://bugs.mutt.org/.

patch-1.5.20.sidebar.20090619.txt
patch-1.5.0.ats.date_conditional.1
dgc.deepif.1
vvv.quote
vvv.initials
rr.compressed

$ ldd /usr/local/bin/mutt
/usr/local/bin/mutt:
	libncursesw.so.8 => /lib/libncursesw.so.8 (0x8008d1000)
	libgssapi_krb5.so => /usr/local/lib/libgssapi_krb5.so (0x800b2c000)
	libkrb5.so => /usr/local/lib/libkrb5.so (0x800d6b000)
	libk5crypto.so => /usr/local/lib/libk5crypto.so (0x80103c000)
	libcom_err.so => /usr/local/lib/libcom_err.so (0x801266000)
	libssl.so.6 => /usr/lib/libssl.so.6 (0x801469000)
	libcrypto.so.6 => /lib/libcrypto.so.6 (0x8016bc000)
	libz.so.6 => /lib/libz.so.6 (0x801a5d000)
	libsasl2.so.2 => /usr/local/lib/libsasl2.so.2 (0x801c73000)
	libintl.so.9 => /usr/local/lib/libintl.so.9 (0x801e8e000)
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x802097000)
	libidn.so.17 => /usr/local/lib/libidn.so.17 (0x802393000)
	libdb-4.8.so.0 => /usr/local/lib/libdb-4.8.so.0 (0x8025c5000)
	libc.so.7 => /lib/libc.so.7 (0x802935000)
	libkrb5support.so => /usr/local/lib/libkrb5support.so (0x802c88000)
	libthr.so.3 => /lib/libthr.so.3 (0x802e90000)
Comment 15 Cy Schubert freebsd_committer 2012-06-18 20:37:38 UTC
State Changed
From-To: feedback->closed

Fixed.